package premium_store.controller.DTO;

import com.fasterxml.jackson.annotation.JsonProperty;
import premium_store.model.TankLevel;

public class LevelDTO {
    private Long id;
    private int level;

    public LevelDTO(){}

    public LevelDTO(TankLevel level){
        this.id = level.getId();
        this.level = level.getLevel();
    }

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    public Long getId(){
        return id;
    }

    public void setId(Long id){
        this.id = id;
    }

    public int getLevel(){
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }
}
